/*
 * Global application theme.
 * Framework overrides and customization goes here.
 */
body {
  @extend .body-1;
  background-color: #FFFFFF;
  display: flex;
  flex-direction: column;
  align-content: stretch;
  align-items: stretch;
  min-height: 100vh;

  & app-root {
    order: 0;
    flex: 1 1 auto;
    align-self: auto;
    display: flex;
    flex-direction: column;

    &>* {
      flex: 1 1 auto;
      display: flex;
      flex-direction: column;
    }

    &>router-outlet {
      flex: 0 0 auto;
    }
  }

  @media screen and (min-width: 992px) {
    background-color: white;
  }
}
@media (max-width: 576px) { 
  #mobstcnone{
    top: 0px !important;
  }
}
#mobstcnone{
position: sticky; top: -16px; z-index: 100; background-color: #ffff;
}

[data-toggle="collapse"] .fa:before {
  content: "\f0d8";
}

[data-toggle="collapse"].collapsed .fa:before {
  content: "\f0d7";
}


.mobile-btn-common {
  &.card {
    border-radius: 8px;

    & .btn {

      color: white;
      border: none;
      background-color: #196be5;
      padding: 15px;
      @include muli-semibold(18px);
      border-radius: 4px;
    }
  }

}
::placeholder{
  @include muli-regular(16px);
  color: #B0B4BB;
}
.separator {
  display: flex;
  flex-shrink: 0;
  flex-basis: auto;
  flex-direction: column;
  min-width: 0;
  min-height: 0;
  align-items: stretch;
  // pointer-events: none;
}

//  typography
.heading-1 {
  @include muli-bold(20px);
}

.heading-2 {
  @include muli-semibold(16px);
}

.body-1 {
  @include muli-semibold(14px);
}

.body-2 {
  @include muli-regular(12px);
}

.caption {
  @include muli-light(10px);
}
.news-wrapper {
  & .scroll-btn{
    display: flex;
    flex-flow: row nowrap;
    position: absolute;
    top: 6px;
    right: 4px;
    // display: none;
    > span{
      width: 18px;
      height: 18px;
      line-height: 18px;
      background-color: #f7f7f7;
      border-radius: 50px;
      overflow: hidden;
      font-size: 14px;
      text-align: center;
      margin: 0 0 0 10px;
      cursor: pointer;
      position: relative;
      box-shadow: 0px 0px 2px grey;
      > i{
        display: table;
        width: 8px;
        height: 8px;
        position: absolute;
        left: 7px;
        top: 5px;
        border-width: 2px;
        border-style: solid;
        transform: rotate(
    -40deg);
      }
    }
    > span.disabled{
      opacity: 0.5;
    }
    > span:first-child i{
      border-color: #525252 transparent transparent #525252;
    }
    > span:last-child i{
      border-color: transparent #525252 #525252 transparent;
      left: 3px;
    }
  }
}
// for laptop and desktop screens
// TODO: require update for large screen
@media screen and (min-width: 992px) {
  .heading-1 {
    @include muli-bold(20px);
  }

  .heading-2 {
    @include muli-semibold(16px);
  }

  .body-1 {
    @include muli-semibold(14px);
  }

  .body-2 {
    @include muli-regular(12px);
  }

  .caption {
    @include muli-light(10px);
  }
}

.card {
  background: #FFFFFF 0% 0% no-repeat padding-box;
  box-shadow: 0px 1px 2px #72727269;
  border-radius: 8px;
  border: none;
}

.badge-wrapper {
  height: 27px;
  display: flex;
  align-items: center;

  & .badge {
    padding: 3px 6px;
    @include muli-bold(12px);
    color: #196be5;
    margin-right: 7px;
    background-color: #e4edff;
    border-radius: 3px;

  }
}

.input {
  width: 100%;
  min-height: 1.81rem;
  border: none;
  border-bottom: 1px solid #9E9E9E;
  padding: 5px;
  margin-bottom: 1.7rem;
  background: none;

  &:focus {
    outline: none;
  }

  &+.error-msg {
    color: red;
    transform: translateY(-20px);
    min-height: 22px;

    i {
      font-style: normal;
    }
  }
}

.bottom-fixed-btn {
  position: fixed;
  bottom: 0;
  left: 0;
  right: 0;
  background-color: white;
  box-shadow: 0px 7px 10px #7090B014;
  padding: 16px;
}

.btn-buy {
  color: #FFFFFF;
  text-transform: uppercase;
  @include muli-semibold(16px);
  background: #2AC07D 0% 0% no-repeat padding-box;
  box-shadow: 0px 2px 8px #7090D080;
  border: 1px solid #00000000;
  border-radius: 4px;
  padding: 14px;
  width: 100%;
}

.btn-sell {
  color: #FFFFFF;
  text-transform: uppercase;
  @include muli-semibold(16px);
  background: #EB2F2F 0% 0% no-repeat padding-box;
  box-shadow: 0px 2px 8px #7090D080;
  border: 1px solid #00000000;
  border-radius: 4px;
  padding: 14px;
  width: 100%;
}

.search-block {
  z-index: 1;
  position: absolute;
  width: calc(100% - 29px);

  @include media-breakpoint-down(xs) {
    position: absolute;
    width: 100%;
    left: 0;
    right: 0;
    top: 3px;
  }

  & .card {
    background: #FFFFFF 0% 0% no-repeat padding-box;
    box-shadow: 0px 11px 12px #0000001C;

    & .card-body {
      overflow: none;
      overflow-y: scroll;
      -webkit-overflow-scrolling: touch;
      max-height: 300px;

      @include media-breakpoint-down(xs) {
        & .row {
          padding-bottom: 0.5rem !important;
          margin-bottom: 0.5rem !important;
          border-bottom: 1px solid rgb(231, 231, 231);
          align-items: center;
        }

        & .row:first-child {
          margin-top: 1rem !important;
        }

        & .row:last-child {
          border-bottom: none;
        }
      }

      a {
        text-decoration: none;
        cursor: pointer;
        & .text {
          @include muli-bold(12px);
        }

        & .sub-text {
          @include muli-regular(12px);
          color: #BBBBBB;
          margin-left: 4px;

          @include media-breakpoint-down(xs) {
            display: -webkit-box;
            -webkit-line-clamp: 2;
            -webkit-box-orient: vertical;
            overflow: hidden;
          }
        }
      }
    }
  }
}

// section layout
.section-layout {
  background-color: white;

  & .section-header {
    align-items: center;
    padding: 8px 15px;

    & .section-title-wrapper {
      display: flex;
      flex-direction: column;
      flex: 1;
    }
  }

  & .section-body {
    flex-direction: column;
    padding: 8px 15px;
  }
}

.load-more {
  display: flex;
  justify-content: center;
}

.show-less {
  display: -webkit-box;
  height: 3rem;
  -webkit-line-clamp: 3;
  -webkit-box-orient: vertical;
  overflow: hidden;
  text-overflow: ellipsis;
  line-height: 1.625;
}

.loader {
  border: 7px solid #f3f3f3;
  border-radius: 50%;
  border-top: 7px solid #3498db;
  width: 70px;
  height: 70px;
  -webkit-animation: spin 2s linear infinite;
  /* Safari */
  animation: spin 2s linear infinite;
  z-index: 999;
}



/* Safari */
@-webkit-keyframes spin {
  0% {
    -webkit-transform: rotate(0deg);
  }

  100% {
    -webkit-transform: rotate(360deg);
  }
}

@keyframes spin {
  0% {
    transform: rotate(0deg);
  }

  100% {
    transform: rotate(360deg);
  }
}

back-drop {
  position: fixed;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  display: flex;
  align-items: center;
  justify-content: center;
  z-index: 999;
  background: hsl(0deg 0% 0% / 40%);
}


.gain-color {
  color: #30c281 !important;
}

.loss-color {
  color: red !important;
}



.status.completed {
  padding: 3px 19px;
  @include muli-semibold(12px);
  color: #2AC07D;
  background: #dff6ec 0% 0% no-repeat padding-box;
  border-radius: 2px;
}

.status.pending {
  padding: 3px 19px;
  @include muli-semibold(12px);
  color: #EB802F;
  background: #fcece0 0% 0% no-repeat padding-box;
  border-radius: 2px;
}

.status.rejected {
  padding: 3px 19px;
  @include muli-semibold(12px);
  color: #eb2f2f;
  background: #fcece0 0% 0% no-repeat padding-box;
  border-radius: 2px;
}

.status.canceled {
  padding: 3px 19px;
  @include muli-semibold(12px);
  color: #acacac;
  background: #e6e6e6 0% 0% no-repeat padding-box;
  border-radius: 2px;
}

.status.partially-executed {
  padding: 3px 19px;
  @include muli-semibold(12px);
  color: #EB802F;
  background: #fcece0 0% 0% no-repeat padding-box;
  border-radius: 2px;
}



.btn-green {
  background-color: #2AC07D !important;
}

.btn-red {
  background-color: #EB2F2F !important;
}


.has-error{
  font-size: 0.6rem;
  color: red;
  /* padding: 0; */
  /* margin: 0; */
  position: absolute;
}

button:focus {
  outline:0;
  box-shadow: none !important;
}

input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

input[type=number] {
  -moz-appearance: textfield;
}

// 

/*
for: app-nav-tabs
used in: app-explore-layout
*/

.modify-menu.menu-wrapper {
  display: block;
  overflow: none;
  overflow-x: scroll;
  -webkit-overflow-scrolling: touch;
  position: relative;
  &::before {
    content: "";
    position: absolute;
    left: 0;
    right: 0;
    bottom: 0;
    // border-bottom: 1px solid $gray-400;
  }
  & > .nav {
    & .nav-link {
      flex: 1 1 auto;
      text-align: center;
      @include muli-regular(14px);
      color: theme-color("text-secondary");
      padding: 0.75rem 1rem;
      border-bottom-width: 3px;
      border-bottom-style: solid;
      border-bottom-color: transparent;
      transition: all 0.35s linear;
      &.active {
        @include muli-semibold(14px);
        color: theme-color("primary");
        border-bottom-color: theme-color("primary");
      }
    }
  }
  .nav > a{
    cursor: pointer;
    font-size: 14px;
    margin-right: 10px;
    &:hover{
      font-weight: bold;
      color: #3A63BB;
      font-weight: bold;
    }
  }

  @include media-breakpoint-up(lg) {
    & .nav {
      & .nav-link {
        display: inline-flex;
        align-items: center;
        height: 80px;
        padding-left: 1.5rem;
        padding-right: 1.5rem;
        &.active {
          @include muli-bold(14px);
          color: #3A63BB;
          border-bottom-color: #3A63BB;
        }
      }
    }
  }
}

.modify-menu.menu-wrapper::-webkit-scrollbar {
  display: none;
}

.modify-menu.menu-wrapper {
  -ms-overflow-style: none;
  /* IE and Edge */
  scrollbar-width: none;
  /* Firefox */
}

.deskfilterui{
  & .header{
    & .card{
      box-shadow: none;
      border:none;
      border-bottom: 1px solid #c9c9c9;
      border-radius: 0px;
      margin-bottom: 20px;

      & .heading{
        color: #808080;
        @include muli-regular(16px);  
        margin-bottom: 0px;
      }
      & .clear{
        color: #DF4B5A;
      }
    }
  }

  ngb-accordion{
    & .card{
      box-shadow: none;
      border-radius: 0px;

      & .card-header{
        background: #FFFFFF 0% 0% no-repeat padding-box !important;
        border: 0.5px solid #F6F7FC;
        padding: 15px;
       
        h5{
          color: #000000;
          @include muli-semibold(14px);  
        }
        
      }

      & .card-body{
         & .form-check{
           margin-bottom: 30px;

           label{
             margin-left: 16px;
             @include muli-light(14px);  
           }
         }
      }
    }
  }
}



.theme-background-color{
  background-color: #FFFFFF;
}
#navtoscroll::-webkit-scrollbar {
  display: none;
}
#navtoscroll {
  -ms-overflow-style: none;  /* IE and Edge */
  scrollbar-width: none;  /* Firefox */
}
